---
title: VRDisplay.depthFar
slug: Web/API/VRDisplay/depthFar
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - depthFar
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>depthFar</strong></code> property of the {{domxref("VRDisplay")}} interface gets and sets the z-depth defining the far plane of the <a href="https://en.wikipedia.org/wiki/Viewing_frustum">eye view frustum</a>, i.e. the furthest viewable boundary of the scene.</p>

<p>Generally you should leave the value as is, but you might want to reduce it if you are trying to improve performance on slower computers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var mydepthFar = vrDisplayInstance.depthFar;

vrDisplayInstance.depthFar = 7500.0;
</pre>

<h3 id="Value">Value</h3>

<p>A double, representing the z-depth in meters; its initial value is <code>10000.0</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var vrDisplay;

navigator.getVRDisplays().then(function(displays) {
  vrDisplay = displays[0];
  vrDisplay.depthNear = 1.0;
  vrDisplay.depthFar = 7500.0;
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-depthfar', 'depthFar')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.depthFar")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
